#pragma once

#include <saas/library/daemon_base/unistat_signals/signals.h>
#include <util/datetime/base.h>

namespace NRTYServer {
struct THnswComponentSearchStats {
    size_t UsedDotProductsNum = 0;
    size_t ClampedValsNum = 0;
    TDuration InSegmentsQueueSumWaitTime;
};

class THnswComponentSearchSignals final
    : public TSaasUnistatSignals
{
public:
    THnswComponentSearchSignals();

    void Init(TUnistat &t) const;

    void PushSearchStats(const THnswComponentSearchStats&) const;
};

}
